A multi-login user can log in to multiple sessions of a Control Room at the same time.
A multi-login token is required to configure a user to run multiple sessions simultaneously. A Control Room user with permission to manage users can designate a user as a multi-login service user. Designating a multi-login user can be achieved through either the UI or API.
The following table provides details of using both the UI and API to designate a user with multi-login capabilities.
| Authorize using UI | Authorize using API |
|---|---|
| In the Control Room, go to
Administration > Users and select
Allow under Allow multiple
sessions to enable multi-login.
For more information on multiple active UI sessions, see Multiple active user sessions. Note:
If you use a machine without the Bot Agent installed, there might be a delay when opening a window to browse and select files from the desktop. We recommend that you use the machine with the bot agent installed for desktop operations. |
Using the create user
API Request Request body to allow multiple login token
|
There are two ways to generate a multi-login token:
- Using password/mutipleLogin parameters: During user authentication, setting
the
multipleLoginparameter totruewill generate a multi-login token.Request:
POST http://{{ControlRoomURL}}/v2/authenticationRequest body to generate multi-login token using
passwordandmultipleLoginparameters:{ "username":"jdoe", "password":"mypassword@123", "multipleLogin":true } - API Key: Users can use an API key instead of using
passwordand themultipleLoginparameters to generate a multi-login token via the Authentication API.Request:
POST http://{{ControlRoomURL}}/v2/authenticationRequest body to generate multi-login token using API Key:
{ "username":"jdoe", "apiKey": "IvttttAhY7777baeIYUJjSS" }Note: However, using an API key does not bypass the permission requirement. The user still needs the specific permission ("multipleLoginAllowed":true) granted.